rem ###############################################################
rem #         SCRIPT PARA HACER NAT A MAQUINAS VITUALBOX          #
rem ###############################################################
rem #                                                             #
rem #      Version...: 1.0                                        #
rem #      Fecha.....: 10/05/2010                                 #
rem #      Autor.....: Alvaro Anaya M.                            #
rem #      Correo....: correo.webadmin@gmail.com                  #
rem #      WEB.......: http://www.ArchivosLOG.es                  #
rem #                                                             #
rem ###############################################################
echo off
REM SI SU INSTALACION DE VIRTUAL BOX ESTA EN OTRA UBICACION DEBERA CAMBIAR ESTAS LINEAS
c:
cd \
cd "Archivos de programa"\Oracle\VirtualBox
cls
color F0
echo.
echo.
echo.
echo.
echo NOTA IMPORTANTE:
echo ------------------
echo. 
echo Esta version solo funciona con la primera tarjeta de red de la maquina
echo virtual y esta debe ser AMD PC NET. Si tiene otra y aplica los cambios
echo la maquina virtual mostrara un error al abrirse. 
echo.
echo Puede cambiar la tarjeta de red en las opciones de la maquina virtual. 
echo En la seccion de red solo tendra que pinchar sobre un desplegable.
echo.
echo.
echo Disculpe las molestias. 
echo.
echo.
echo Pulse una tecla cualquiera para continuar con el script
echo o presione CONTROL + C para salir del mismo.
pause >NUL
color 0F
:inicio
cls
echo.
echo.
echo SCRIPT PARA CONVERTIR MAQUINAS VIRTUALES DE VIRTUALBOX EN SERVIDORES
echo. 
echo.
echo.
echo.
echo ESTAS SON LAS MAQUINAS VIRTUALES DISPONIBLES...
echo.
echo.
VBoxManage list vms
echo.
echo Recuerde que puede salir en cualquier momento presionando CTRL+C
echo.
echo Introduzca los siguientes parametros para habilitar el servicio:
echo.
set /p maquina=Nombre de la maquina (p.e: Ubuntu Server)...: 
echo.
set /p proceso=Nombre del proceso (p.e: apache)............: 
echo.
set /p puertoin=PUERTO interno (m.virtual) (p.e: 80)........: 
echo.
set /p puertoout=PUERTO externo (m.fisica) (p.e: 80).........: 
echo.
set /p protocolo=PROTOCOLO que sera usado (p.e: tcp).........: 
echo.
echo.
:pregunta
echo Por favor, confirme si son correctos estos datos...
echo.
echo Maquina virtual ..................: %maquina%
echo Nombre del proceso ...............: %proceso%
echo Puerto interno (Maquina virtual)..: %puertoin%
echo Puerto externo (Maquina fisica)...: %puertoout%
echo Protocolo de comunicacion ........: %protocolo%
echo.
set /p respuesta=Son correctos estos datos?? (S/N/Q)
if %respuesta%==s GOTO buenor
if %respuesta%==n GOTO inicio
if %respuesta%==q GOTO salirr
echo.
echo.
echo.
echo.
echo No se ha entendido la respuesta. Debe escribir solo la primera letra de Si o No, es decir, S o N.
echo.
echo.
echo.
pause >NUL
echo Presione una tecla para volver o las teclas CTRL+C para salir
echo.
echo.
echo.
goto pregunta
:buenor
cls
echo.
echo.
echo Se procedera a aplicar los cambios en la maquina virtual. Si no esta seguro puede salir presionando CTRL+C
echo.
pause >NUL
VBoxManage setextradata "%maquina%" "VBoxInternal/Devices/pcnet/0/LUN#0/Config/%proceso%/GuestPort" %puertoin%
VBoxManage setextradata "%maquina%" "VBoxInternal/Devices/pcnet/0/LUN#0/Config/%proceso%/HostPort" %puertoout%
VBoxManage setextradata "%maquina%" "VBoxInternal/Devices/pcnet/0/LUN#0/Config/%proceso%/Protocol" %protocolo%
echo.
echo.
echo ESTA ES LA LISTA DE CAMBIOS DE LA MAQUINA VIRTUAL %maquina%
echo.
VBoxManage getextradata "%maquina%" enumerate
pause
:salirr
echo.
